# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/soc/fsl/cpm_qe/fsl,qe-muram.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Freescale QUICC Engine Multi-User RAM (MURAM)

maintainers:
  - Frank Li <Frank.Li@nxp.com>

description: Multi-User RAM (MURAM)

properties:
  compatible:
    items:
      - const: fsl,qe-muram
      - const: fsl,cpm-muram

  ranges:
    maxItems: 1

  "#address-cells":
    const: 1

  "#size-cells":
    const: 1

  mode:
    $ref: /schemas/types.yaml#/definitions/string
    enum: [host, slave]

patternProperties:
  '^data\-only@[a-f0-9]+$':
    type: object
    properties:
      compatible:
        items:
          - const: fsl,qe-muram-data
          - const: fsl,cpm-muram-data

      reg:
        maxItems: 1

    required:
      - compatible
      - reg

    additionalProperties: false

required:
  - compatible
  - ranges

additionalProperties: false

examples:
  - |
    muram@10000 {
        compatible = "fsl,qe-muram", "fsl,cpm-muram";
        ranges = <0 0x00010000 0x0000c000>;
        #address-cells = <1>;
        #size-cells = <1>;

        data-only@0{
            compatible = "fsl,qe-muram-data",
                         "fsl,cpm-muram-data";
            reg = <0 0xc000>;
        };
     };
